<?php
/**
* @version      3.3.1 17.12.2012
* @author       MAXXmarketing GmbH
* @package      Jshopping
* @copyright    Copyright (C) 2010 webdesigner-profi.de. All rights reserved.
* @license      GNU/GPL
*/

    defined('_JEXEC') or die('Restricted access');
    error_reporting(error_reporting() & ~E_NOTICE);
    
    if (!file_exists(JPATH_SITE.DS.'components'.DS.'com_jshopping'.DS.'jshopping.php')){
        JError::raiseError(500,"Please install component \"joomshopping\"");
    } 
    
    require_once (JPATH_SITE.DS.'components'.DS.'com_jshopping'.DS."lib".DS."factory.php"); 
    require_once (JPATH_SITE.DS.'components'.DS.'com_jshopping'.DS."lib".DS."functions.php");        
    JSFactory::loadCssFiles();
    JSFactory::loadLanguageFile();
    $jshopConfig = JSFactory::getConfig();
    
    $product = JTable::getInstance('product', 'jshop');
    $cat_str = $params->get('catids',NULL); 
    if (is_array($cat_str)) {    
        $cat_arr = array();
        foreach($cat_str as $key=>$curr){
           if (intval($curr)) $cat_arr[$key] = intval($curr);
        }  
    } else {
        $cat_arr = array();
        if (intval($cat_str)) $cat_arr[] = intval($cat_str);
    }   

    $count =  $params->get('count_products', 4);
    $array_categories = $cat_arr;
    $filters = array();
    $db = JFactory::getDBO();

    $adv_query = ""; $adv_from = ""; 
    $adv_result = $product->getBuildQueryListProductDefaultResult();
    $product->getBuildQueryListProductSimpleList("last", $array_categories, $filters, $adv_query, $adv_from, $adv_result);
    $order_query = "ORDER BY prod.".$params->get('order_by', 'product_id');

    JPluginHelper::importPlugin('jshoppingproducts');    
    $dispatcher = JDispatcher::getInstance();
    $dispatcher->trigger('onBeforeQueryGetProductList', array("last_products", &$adv_result, &$adv_from, &$adv_query, &$order_query, &$filters) );
     
    $query = "SELECT $adv_result FROM `#__jshopping_products` AS prod
              INNER JOIN `#__jshopping_products_to_categories` AS pr_cat ON pr_cat.product_id = prod.product_id
              LEFT JOIN `#__jshopping_categories` AS cat ON pr_cat.category_id = cat.category_id
              $adv_from
              WHERE prod.product_publish = '1' AND cat.category_publish='1' ".$adv_query."
              GROUP BY prod.product_id $order_query DESC LIMIT ".$count;
    $db->setQuery($query);
    $last_prod = $db->loadObjectList();
    $last_prod = listProductUpdateData($last_prod);    
    
    
    if(count($last_prod))
    foreach($last_prod as $key=>$value){
        $last_prod[$key]->product_link = SEFLink('index.php?option=com_jshopping&controller=product&task=view&category_id='.$value->category_id.'&product_id='.$value->product_id, 1);
    }
    $noimage = $jshopConfig->noimage ? $jshopConfig->noimage : "noimage.gif";
    $show_image = $params->get('show_image',1);
    require(JModuleHelper::getLayoutPath('mod_jshopping_latest_products'));        
?>